import { NextPage } from 'next';
import * as Iceform from '@modal-sh/iceform-next';
import { useRouter } from 'next/router';

const NotesPage: NextPage = () => {
	const router = useRouter();

	return (
		<Iceform.Form
			method="post"
			action="/a/notes"
			clientAction="/api/notes"
			refresh={async (response) => {
				if (response.status !== 201) {
					return;
				}
				const { id } = await response.json();
				await router.push(`/notes/${id}`);
			}}
		>
			<div>
				<label>
					<span className="after:block">Title</span>
					<input type="text" name="title" />
				</label>
			</div>
			<div>
				<label>
					<span className="after:block">Image</span>
					<input type="file" name="image" />
				</label>
			</div>
			<div>
				<label>
					<span className="after:block">Content</span>
					<textarea name="content" />
				</label>
			</div>
			<div>
				<button type="submit">Submit</button>
			</div>
		</Iceform.Form>
	)
};

export default NotesPage;
